/* 
 * 
 * Home Health Grouper Software
 * 
 * Center for Medicare and Medicaid Services (CMS)
 * 
 * All code is provided as is.
 * 
 */
package gov.cms.hh.data.meta.enumer;

/**
 *
 * @author CMS
 */
public enum Claim_EN {

    // Claim fields
    ID(0,0),
    FROM_DATE(1,1),
    PERIOD_TIMING(2,2),
    REFERRAL_SOURCE(3,3),
    PDX(4,4),
    SDX(5,28),
    FILLER_1(29,33),
    M1033(34,43),
    M18XX(44,50),
    FILLER_2(51,51),
    THROUGH_DATE(52,52),
    FILLER_3(53,53),
    ACTION_FLAG(54,54),
    VERSION(55,55),
    HIPPS(56,56),
    VALIDITY_FLAG(57,57),
    RETURN_CODE(58,58)
    ;

    /**
     * @return the itemNumberStart
     */
    public int getItemNumberStart() {
        return itemNumberStart;
    }


    /**
     * @return the positionEnd
     */
    public int getItemNumberEnd() {
        return itemNumberEnd;
    }

    private final int itemNumberStart;
    private final int itemNumberEnd;

    private Claim_EN(int itemNumberStart, int itemNumberEnd) {
        this.itemNumberStart = itemNumberStart;
        this.itemNumberEnd = itemNumberEnd;
    }
   
}
