/* 
 * 
 * Home Health Grouper Software
 * 
 * Center for Medicare and Medicaid Services (CMS)
 * 
 * All code is provided as is.
 * 
 */
package gov.cms.hh.reference.objects;

import gov.cms.hh.data.loader.PositionAccessorIF;
import gov.cms.hh.xml.layout.rot.Diagnosis;

/**
 *
 * @author CMS
 */
public class DiagnosisObject extends Diagnosis implements PositionAccessorIF {

    /**
     *
     * @return
     */
    @Override
    public String toString() {
        return "Diagnosis Value:'" + getValue() +
                "', Diagnosis Description:'" + getDescription() +
                "', Clinical Group:'" + getClinicalGroup() +
                "', SubChapter:'" + getSubChapter()+
                "', Comorbidity Group:'" + getComorbidityGroup() +
                "', Manifestation Flag:'" + getManifestationFlag() +
                "', Primary Awarding Flag:'" + getPrimaryAwardingFlag() +
                "', ECoI Flag:'" + getEcoiFlag() +
                "', Code First Flag:'" + getCodeFirstFlag() +
                "', Unacceptable PDX Flag:'" + getUnacceptablePdxFlag() +
                "', Unspecified PDX Flag:'" + getUnspecifiedPdxFlag() +
                "', Predecessor DX:'" + getPredecessorDx() +
                "'";
    }
    
    /**
     *
     * @param position
     * @return
     */
    @Override
    public String getByPosition(int position) {
        switch(position) {
            case 0:
                return getValue();
            case 1:
                return getDescription();
            case 2:
                return getClinicalGroup();
            case 3:
                return getSubChapter();
            case 4:
                return getComorbidityGroup();
            case 5:
                return getManifestationFlag();
            case 6:
                return getPrimaryAwardingFlag();
            case 7:
                return getEcoiFlag();
            case 8:
                return getCodeFirstFlag();
            case 9:
                return getUnacceptablePdxFlag();
            case 10:
                return getUnspecifiedPdxFlag();
            case 11:
                return getPredecessorDx();
            default:
                return null; // Exception???
        }
    }

    /**
     *
     * @param value
     */
    @Override
    public void setDescription(String value) {
        if (isLoadDescription()) {
            super.setDescription(value);
        }
    }
    
    /**
     *
     * @param position
     * @param value
     * @return
     */
    @Override
    public boolean setByPosition(int position, String value) {
        switch(position) {
            case 0:
                setValue(value);
                return true;
            case 1:
                setDescription(value);
                return true;
            case 2:
                setClinicalGroup(value);
                return true;
            case 3:
                setSubChapter(value);
                return true;
            case 4:
                setComorbidityGroup(value);
                return true;
            case 5:
                setManifestationFlag(value);
                return true;
            case 6:
                setPrimaryAwardingFlag(value);
                return true;
            case 7:
                setEcoiFlag(value);
                return true;
            case 8:
                setCodeFirstFlag(value);
                return true;
            case 9:
                setUnacceptablePdxFlag(value);
                return true;
            case 10:
                setUnspecifiedPdxFlag(value);
                return true;
            case 11:
                setPredecessorDx(value);
                return true;
            default:
                return false; // Exception???
        }
    }

    /**
     *
     * @return
     */
    @Override
    public int getNumberOfFields() {
        return 12;
    }

    private boolean loadDescription;
    
    /**
     * @return the loadDescription
     */
    @Override
    public boolean isLoadDescription() {
        return loadDescription;
    }

    /**
     * @param loadDescription the loadDescription to set
     */
    @Override
    public void setLoadDescription(boolean loadDescription) {
        this.loadDescription = loadDescription;
    }
    
}
